Bug 1119134

Summary: gsmartcontrol bundles pcrecpp
Product: [Fedora] Fedora Reporter: Yaakov Selkowitz <yselkowi>
Component: gsmartcontrolAssignee: Eric Smith <spacewar>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 25CC: spacewar, vascom2, yselkowi
Target Milestone: ---Keywords: Patch
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: gsmartcontrol-0.8.7-10.fc25 gsmartcontrol-0.8.7-10.fc24 gsmartcontrol-0.8.7-10.fc23 gsmartcontrol-0.8.7-10.el6 gsmartcontrol-0.8.7-10.el7 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2016-10-09 02:48:35 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 504493    
Attachments:
Description Flags
Use system pcrecpp none

Description Yaakov Selkowitz 2014-07-14 06:03:53 UTC
gsmartcontrol includes a bundled version of pcrecpp (8.01 according to the bundled README) in violation of Fedora packaging guidelines.  The attached patch for f21/rawhide forces use of the system version instead.

Comment 1 Yaakov Selkowitz 2014-07-14 06:04:49 UTC
Created attachment 917678 [details]
Use system pcrecpp

Comment 2 Jaroslav Reznik 2015-03-03 16:07:33 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22

Comment 3 Jan Kurik 2016-07-26 05:04:57 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 25 development cycle.
Changing version to '25'.

Comment 4 Fedora Update System 2016-09-28 20:52:34 UTC
gsmartcontrol-0.8.7-10.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-b477746297

Comment 5 Fedora Update System 2016-09-29 01:19:43 UTC
gsmartcontrol-0.8.7-10.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-a78cb277e2

Comment 6 Fedora Update System 2016-09-29 01:52:44 UTC
gsmartcontrol-0.8.7-10.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-824e8f359c

Comment 7 Fedora Update System 2016-09-29 02:49:59 UTC
gsmartcontrol-0.8.7-10.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-17b9487ad3

Comment 8 Vasiliy Glazov 2016-09-29 06:39:46 UTC
(In reply to Yaakov Selkowitz from comment #1)
> Created attachment 917678 [details]
> Use system pcrecpp

Thanks for the patch. I am apply it in gsmartcontrol-0.8.7-10 build.

Comment 9 Fedora Update System 2016-09-29 10:16:14 UTC
gsmartcontrol-0.8.7-10.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-4475d896ad

Comment 10 Fedora Update System 2016-10-09 02:48:35 UTC
gsmartcontrol-0.8.7-10.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2016-10-09 06:21:23 UTC
gsmartcontrol-0.8.7-10.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2016-10-09 09:22:57 UTC
gsmartcontrol-0.8.7-10.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2016-10-14 05:46:24 UTC
gsmartcontrol-0.8.7-10.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2016-10-21 15:53:38 UTC
gsmartcontrol-0.8.7-10.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.